Subject: Re: [X2Go-Dev] Bug#1134: No environment variable available for testing in .bash_profile or .bashrc

From: Ted Toal <[email-masked]>
Date: Tue, 10 Jan 2017 14:41:20 -0800

DISPLAY is null (not defined) when x2go is running, as well as when it isn't, in my case.
—
Ted Toal, Postdoctoral Researcher
Carvajal-Carmona Lab
4502 GBSF, One Shields Ave
Davis, CA  956626  (530) 263-5986
[email-masked]

> On Jan 10, 2017, at 2:12 PM, Rick Benkstein <[email-masked]> wrote:
> 
> Ted,
> 
> I have made my software switchable between GUI non-GUI by examining the DISPLAY variable - if it is NULL then x2go is not being used.
> 
> Rick Benkstein
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Ted Toal
> Sent: Tuesday, January 10, 2017 3:17 PM
> To: [email-masked]
> Subject: [X2Go-Dev] Bug#1134: No environment variable available for testing in .bash_profile or .bashrc
> 
> Package: NXAGENT
> Version: 3.5.0
> 
> I would like to bypass setting of certain environment variables in .bash_profile if I’m connecting via x2go, but it appears there are no environment variables I can test in .bash_profile to determine if this is an x2go session. After the session starts, some x2go environment variables are there, but not while .bash_profile is executing.
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> http://lists.x2go.org/listinfo/x2go-dev